Orxonox: orxonox::NetworkFunctionStatic Class Reference

# orxonox::NetworkFunctionStatic Class Reference

`#include <src/network/NetworkFunction.h>`

Inheritance diagram for orxonox::NetworkFunctionStatic:

List of all members.

## Public Member Functions

void | call (const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4, const MultiType &mt5)
void | call (const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4)
void | call (const MultiType &mt1, const MultiType &mt2, const MultiType &mt3)
void | call (const MultiType &mt1, const MultiType &mt2)
void | call (const MultiType &mt1)
void | call ()
| NetworkFunctionStatic (FunctorStatic *functor, const std::string &name, const NetworkFunctionPointer &p)
virtual void | setNetworkID (uint32_t id)
| ~NetworkFunctionStatic ()

## Static Public Member Functions

static NetworkFunctionStatic * | getFunction (const NetworkFunctionPointer &p)
static NetworkFunctionStatic * | getFunction (uint32_t id)
static NetworkFunctionStatic * | getNetworkFunction (uint32_t id)

## Private Attributes

FunctorStatic * | functor_

## Static Private Attributes

static std::map < NetworkFunctionPointer, NetworkFunctionStatic * > | functorMap_
static std::map< uint32_t, NetworkFunctionStatic * > | idMap_

## Constructor & Destructor Documentation

orxonox::NetworkFunctionStatic::NetworkFunctionStatic | ( | FunctorStatic * | functor,
|  | const std::string & | name,
|  | const NetworkFunctionPointer & | p |
| ) |  |  |

References functor_, functorMap_, orxonox::NetworkFunctionBase::getNetworkID(), idMap_, and RegisterObject.

orxonox::NetworkFunctionStatic::~NetworkFunctionStatic | ( |  | ) |

References functor_.

## Member Function Documentation

void orxonox::NetworkFunctionStatic::call | ( | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4,
|  | const MultiType & | mt5 |
| ) |  |  | `[inline]`

void orxonox::NetworkFunctionStatic::call | ( | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4 |
| ) |  |  | `[inline]`

void orxonox::NetworkFunctionStatic::call | ( | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3 |
| ) |  |  | `[inline]`

void orxonox::NetworkFunctionStatic::call | ( | const MultiType & | mt1,
|  | const MultiType & | mt2 |
| ) |  |  | `[inline]`

void orxonox::NetworkFunctionStatic::call | ( | const MultiType & | mt1 | ) | `[inline]`

void orxonox::NetworkFunctionStatic::call | ( |  | ) | `[inline]`

Referenced by orxonox::packet::FunctionCalls::process().

static NetworkFunctionStatic* orxonox::NetworkFunctionStatic::getFunction | ( | const NetworkFunctionPointer & | p | ) | `[inline, static]`

static NetworkFunctionStatic* orxonox::NetworkFunctionStatic::getFunction | ( | uint32_t | id | ) | `[inline, static]`

Referenced by orxonox::packet::FunctionCalls::process().

static NetworkFunctionStatic* orxonox::NetworkFunctionStatic::getNetworkFunction | ( | uint32_t | id | ) | `[inline, static]`

virtual void orxonox::NetworkFunctionStatic::setNetworkID | ( | uint32_t | id | ) | `[inline, virtual]`

Reimplemented from orxonox::NetworkFunctionBase.

References orxonox::NetworkFunctionBase::setNetworkID().

## Member Data Documentation

FunctorStatic* orxonox::NetworkFunctionStatic::functor_`[private]`

Referenced by NetworkFunctionStatic(), and ~NetworkFunctionStatic().

std::map< NetworkFunctionPointer, NetworkFunctionStatic * > orxonox::NetworkFunctionStatic::functorMap_`[static, private]`

Referenced by NetworkFunctionStatic().

std::map< uint32_t, NetworkFunctionStatic * > orxonox::NetworkFunctionStatic::idMap_`[static, private]`

Referenced by NetworkFunctionStatic().

The documentation for this class was generated from the following files:

- src/network/NetworkFunction.h
- src/network/NetworkFunction.cc